/**
 * Belvedere: tools for collaborative knowledge mapping 
 * 
 * Copyright (C) <year> <name of author>
 * Copyright (C) 2001, 2002 Dan Suthers
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package belvedere;

import javax.swing.*;

import belvedere.graphview.*;
import belvedere.model.*;
import belvedere.tableview.*;

/**
 * This class creates the JTabbedPane that holds the various views of a model
 */
public class ModelPanel extends JTabbedPane {

  /**
   * public constructor to create a ModelFrame object
   * 
   * @param title  the string to put in the title of the ModelFrame window
   */
  public ModelPanel(Model mdl, JFrame parent) {
    super(SwingConstants.LEFT);
    // create views
    GraphViewPanel gvp = new GraphViewPanel(mdl,parent);
    TableViewPanel tvp = new TableViewPanel(mdl,parent);
    // set them up to listen to model change events
    mdl.addModelChangeListener(gvp);
    mdl.addModelChangeListener(tvp);
    // add them to the tabbed pane
    addTab("",new ImageIcon("../images/diagram.gif"),gvp);
    addTab("",new ImageIcon("../images/table.gif"),tvp);
  }

}
