/**
 * Belvedere: tools for collaborative knowledge mapping 
 * 
 * Copyright (C) 2001, 2002 Dan Suthers
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package belvedere.util;

import java.awt.event.MouseEvent;

/**
 * implemented by the class that manages drag and drop for the application
 */
public interface DragDropManager {

  /**
   * called by clients to initiate a drop upon a mouseReleased event
   * 
   * @param x      x coordinate of the drop
   * @param y      y coordinate of the drop
   * @param o      Object associated with the drop
   */
  public void forwardDrop(int x, int y, Object o);

  /**
   * called by clients at the end of a drag, the application can set a proper
   * mouse cursor etc.,
   */
  public void startDrag(Object o, MouseEvent e);

}
