/**
 * Belvedere: tools for collaborative knowledge mapping 
 * 
 * Copyright (C) 2001, 2002 Dan Suthers
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package belvedere.util;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * reverse iterator for an ArrayList
 */
public class ReverseIterator implements Iterator {

  private ArrayList al;
  private int index;

  /**
   * basic constructor
   * 
   * @param al     ArrayList to make the iterator from
   */
  public ReverseIterator(ArrayList al) {
    this.al = al;
    index = al.size() - 1;
  }

  /**
   * determines if there is a next
   * 
   * @return truee if hasNext, false otherwise
   */
  public boolean hasNext() {
    return this.index > -1;
  }

  /**
   * returns the object of "next"
   * 
   * @return object of "next"
   */
  public java.lang.Object next() {
    return this.al.get(this.index--);
  }

  /**
   * not implemented, and not safe to modify while using this iterator
   */
  public void remove() {
    //not implemented, not safe to modify while using this Iterator
  }

}
