/**
 * Belvedere: tools for collaborative knowledge mapping 
 * 
 * Copyright (C) 2001, 2002 Dan Suthers
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package belvedere.graphview;

import java.awt.Graphics;

/**
 * interface that all relations used in a graph panel must implement
 */
public interface VisualRelation extends VisualConstituent {

  /**
   * used to draw a relation when dragging a new one out, drawing from
   * an origin constituent to x, y
   * 
   * @param g      graphics to paint on
   * @param x2     x coordinate of destination
   * @param y2     y coordinate of destination
   */
  public void paint(Graphics g, int x2, int y2);

}
