/**
 * Belvedere: tools for collaborative knowledge mapping 
 * 
 * Copyright (C) 2001, 2002 Dan Suthers
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package belvedere.model;

public class BelvedereObject {

  //When reading Projects back in from disk the GUID will be created
  //automatically by each Project, Model, Constituent... in that case
  //setGUID must be used to set the GUID back to the one made on the
  //original creation of the object and saved in the XML
  private String GUID = this.hashCode() + " " + new  java.util.Date().getTime();

  /**
   * returns the unique identifier for this Object
   * 
   * @return the unique identifier of this Object
   */
  public String getGUID() {
    return this.GUID;
  }

  /**
   * sets the unique identifier for the Object
   * 
   * @param ID     unique identifier for constituent
   */
  public void setGUID(String ID) {
    this.GUID = ID;
  }

}
