/**
 * Belvedere: tools for collaborative knowledge mapping 
 * 
 * Copyright (C) 2001, 2002 Dan Suthers
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package belvedere.resources;

import java.util.ListResourceBundle;

/**
 * This class defines all the default static properties for Belvedere.
 */
public class BelvedereProperties extends ListResourceBundle {


  // a two dimensional array of all static resources to be used by Belvedere.
  static Object[][] contents = {

    // TEXT REFERENCES BELVEDERE APPLICATION
    { "APP_DIALOG", "WOULD YOU LIKE TO: " },
    { "WELCOME", "Welcome to Belvedere! " },
    { "FILE", "File"},
    { "OPEN", "Open..."},
    { "OPEN_TIP", "Open an existing project"},
    { "CLOSE", "Close"},
    { "NEW", "New"},
    { "NEW_TIP", "Create a new project"},
    { "EXIT", "Exit"},
    { "SAVE", "Save"},
    { "CANCEL", "Cancel"},
    { "SAVE_TIP", "Save the active project"},
    { "SAVE_AS", "Save as..."},
    { "PROJECT", "Project"},
    { "PROJECT_PROPERTIES", "Properties"},
    { "CREATE_NEW_MODEL", "Create a New Model"},
    { "NEW_MODEL", "New Model" },
    { "ADD_MODEL", "Add Model" },
    { "IMPORT_MODEL", "Import Model" },
    { "REMOVE_MODEL", "Remove Model"},
    { "MODEL_NAME", "Model Name: "},
    { "HELP", "Help"},
    { "ABOUT", "About..."},
    { "CONTINUE", "Continue?"},
    { "ERROR", "Error"},
    { "IO_ERROR", "I/O Error"},
    { "BAD_FILE_TYPE", "Incorrect File Type"},
    { "ABOUT_TIP", "Display Program Information"},
    { "EXIT_DIALOG", "Do you really want to exit?"},
    { "REMOVE_MODEL_DIALOG", "Do you really want to remove the current model " +
                             "from this project?"},
    { "LOSE_CHANGES_EXIT", "Changes to the current project will be lost, " +
                           "are you sure you want to exit?"},
    { "LOSE_CHANGES_NEW", "Changes to the current project will be lost, " +
                           "are you sure you want to continue?"},
    { "OPEN_ERROR_MSG", "An error occured while opening the file."},
    { "IO_ERROR_SAVE", "An I/O error occured while attempting to save the file."},
    { "IO_ERROR_OPEN", "An I/O error occured while attempting to open the file."},
    { "BAD_FILE_MSG", "The file does not appear to be of the correct type."},
    { "VERSION_3_TITLE", "Version 3" },
    { "VERSION_3_MSG", "The file you are opening is a Belvedere Version 3 " +
                       "file.  If you save it, it will be saved as a Version " +
                       "4 file."},


    // REFERENCES FOR MODEL CREATION
    { "MODEL_CREATE_DIALOG", "WHICH MODEL TYPE WOULD YOU LIKE TO CREATE?"},
    { "SIMPLE_MODEL", "Simple Model"},
    { "CONCEPT_MODEL", "Concept Model"},
    { "EVIDENCE_MODEL", "Evidence Model"},
    { "SIMPLE_MAP_ICON", "../images/simplemap.gif"},
    { "CONCEPT_MAP_ICON", "../images/conceptmap.gif"},
    { "EVIDENCE_MAP_ICON", "../images/evidencemap.gif"},
    { "CREATE_SIMPLE_MODEL", "Create a new Simple Model"},
    { "CREATE_CONCEPT_MODEL", "Create a new Concept Model"},
    { "CREATE_EVIDENCE_MODEL", "Create a new Evidence Model"},

    // TEXT REFERENCES FOR PROJECT TREE PANEL
    { "NODES", "Nodes:"},
    { "RELATIONS", "Relations:"},
    { "MODEL_PROPS", "Model Properties"},

    // TEXT REFERENCES FOR NODE EDITOR


    // TEXT REFERENCES FOR RELATION EDITOR


    // IMAGE REFERENCES
    { "ICON_NEW", "../images/new.gif"},
    { "ICON_SAVE", "../images/save.gif"},
    { "ICON_OPEN", "../images/open.gif"},
    { "ICON_ABOUT", "../images/about.gif"},
    { "NEW_PROJ_ICON", "../images/newprjct.gif"},
    { "OPEN_PROJ_ICON", "../images/openprjct.gif"},
    { "DRAG_CURSOR", "../images/dragcursor.gif"}
  };



  public Object[][] getContents() {
    return contents;
  }
}
