/**
 * Belvedere: tools for collaborative knowledge mapping 
 * 
 * Copyright (C) <year> <name of author>
 * Copyright (C) 2001, 2002 Dan Suthers
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package belvedere.tableview;

import javax.swing.*;

import java.awt.*;
import java.awt.event.*;
import java.util.ArrayList;

import javax.swing.JTabbedPane;

import belvedere.graphview.*;
import belvedere.model.*;
import belvedere.util.ButtonDescriptor;
import belvedere.util.DropTarget;

/**
 *
 */
public class TableViewPanel extends JPanel implements ModelChangeListener {

  public TableViewPanel(Model mdl, JFrame parent) {
    // not yet
  }

  /**
   * fired when the selection in the model changes
   *
   * @param m      the model that has had a selection change
   * @param p      the newly selected Constituent, possibly null
   */
  public void constituentSelect(Model m, Constituent c) {
  }

  /**
   * fired when the model is renamed
   *
   * @param m      model involved in the renaming
   */
  public void modelRenamed(Model m) {
  }

  /**
   * fired when a Constituent is deleted
   *
   * @param m      model involved in the delete
   * @param c      Constituent deleted
   */
  public void constituentDelete(Model m, Constituent c) {
  }

  /**
   * fired when a Constituent is inserted
   *
   * @param m      model involved in the insert
   * @param c      Constituent inserted
   */
  public void constituentInsert(Model m, Constituent c) {
  }

  /**
   * fired when a Constituent's text is changed
   *
   * @param m      model involved in the text change
   * @param c      Constituent involved in text change
   */
  public void constituentSetText(Model m, Constituent c) {
  }

  /**
   * fired when a Constituent is switched to a different object type
   * as in the Evidence Model
   *
   * @param m       model involved in the replace
   * @param oldCons constituent being replace
   * @param newCons constituent to take its place
   */
  public void constituentObjectReplace(Model m, Constituent oldCons, Constituent newCons) {
  }

}
